Summary: lcm-profile - Local Configuration Manager default profile
Name: lcm-profile
Version: 1
%define date 20110401
Release: %date.1.slc5
BuildArch: noarch
Group: quattor/System
Vendor: CERN
License: GPL
Source0: %{name}-%{version}-%{date}.tar
Source2: guess_domain.sh

# removed the BuildRequires, we just edit the XML file directly.

# indeed requires lcm by now, so that we can reasonably expect it to be 
# there in postinstall
Requires: lcm

# and some tools , to guess if your system is at CERN
#
PreReq: net-tools
PreReq: busybox
PreReq: bind-utils

BuildRoot: %{_tmppath}/%{name}-root

# and we hookup dependencies for components here
# like this the automagic system will pull new ones when needed
# unfortunately, this may come too late for our post (yum error?)
Requires: ncm-afsclt >= 1.3.1
Requires: ncm-srvtab
Requires: ncm-pine >= 1.2.5
Requires: ncm-krb5clt >= 2.1.6
Requires: ncm-sendmail >= 1.4.1
Requires: ncm-ntpd >= 1.0.9
Requires: ncm-chkconfig >= 1.1.1
Requires: ncm-ssh
#Requires: cern-kerberos-migration >= 0.1-12
Requires: ncm-ocsagent >= 0.0.3

%description

The lcm-profile supplies default profile for locally managed machines.
(used by lcm - the front end for invoking NCM configuration components
via ncm-ncd.)

Since these settings are highly CERN-specific, machines outside the
CERN domain will get a dummy file instead. External sites that really
want to use this mechanism should provide their own settings RPM.

%prep
%setup -q -n %{name}-%{version}

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/lcm/

install -m 444 profile_standalone_cern.xml $RPM_BUILD_ROOT/usr/share/lcm/
install -m 444 profile_standalone_cerntn.xml $RPM_BUILD_ROOT/usr/share/lcm/
install -m 444 profile_standalone_noncern.xml $RPM_BUILD_ROOT/usr/share/lcm/
touch $RPM_BUILD_ROOT/usr/share/lcm/profile_standalone.xml
chmod 444 $RPM_BUILD_ROOT/usr/share/lcm/profile_standalone.xml

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/%{_bindir}

%files
%defattr(-, root, root)
%{_bindir}/guess_domain.sh
%config(noreplace)/usr/share/lcm/profile_standalone_cern.xml
%config(noreplace)/usr/share/lcm/profile_standalone_cerntn.xml
%config(noreplace)/usr/share/lcm/profile_standalone_noncern.xml
%ghost /usr/share/lcm/profile_standalone.xml
%doc README 

%post
if [ -x %{_bindir}/guess_domain.sh ]; then
  cd /usr/share/lcm
  dns_domain=`%{_bindir}/guess_domain.sh`
  case "$dns_domain" in
    tn.cern.ch)
	ln -sf profile_standalone_cerntn.xml profile_standalone.xml
	if [ -x /usr/sbin/lcm ]; then
          /usr/sbin/lcm --configure chkconfig || :
	fi
	;;
    cern.ch)
	ln -sf profile_standalone_cern.xml profile_standalone.xml
	if [ -x /usr/sbin/lcm ]; then
          /usr/sbin/lcm --configure chkconfig || :
	fi
	;;
    *)
	echo "LCM: applying dummy default configuration, non-CERN domain $dns_domain"
	ln -sf profile_standalone_noncern.xml profile_standalone.xml
        exit
	;;
    esac
fi

if [ -x /usr/sbin/lcm ]; then
 ( /usr/sbin/lcm --update || : ) &
 pid=$!
 i=45  #timeout
 while [ "$i" -gt 0 ]; do
  sleep 1
  if ! kill -0 $pid >& /dev/null; then
  	# lcm finished in time
	break
  fi
  let i--
 done
 if [ "$i" = 0 ]; then
  echo "timeout for lcm, backgrounding it"
 fi
fi

%changelog
* Tue Feb 21 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> 1-20110401.1.slc5
- no longer pull cern-kerberos-migration

* Fri Apr 01 2011 Matthias Schroder <Matthias.Schroder@cern.ch> - 0-20110401
- Increase pause/wait parameter for ocsinventory to stretch out reporting times

* Tue Mar 22 2011 Matthias Schroder <Matthias.Schroder@cern.ch> - 1-20110303.slc5
- Add requirement for ncm-ocsagent to pull in and configure ocsinventory-agent

* Thu Mar 03 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 1-20110303.slc6
- change sshd loglevel to 'verbose' (as per security team)

* Fri Feb 04 2011 Matthias Schroder <Matthias.Schroder@cern.ch> - 1-20110204-1.slc5
- add settings for ocsinventory-agent to profile_standalone_cern

* Tue Feb 01 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch>- 1-20110201-1.slc5
- Kerberos unification, final(?) step

* Thu Nov 25 2010 Jaroslaw Polok  <jaroslaw.polok@cern.ch> - 1-20101125-1.slc5
- next step of krb unification

* Tue Oct  4 2010 Jaroslaw Polok  <jaroslaw.polok@cern.ch> - 1-20101004-1.slc5
- added dependency on cern-kerberos-migration

* Tue Apr 21 2009 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0-20090421
- Changing ncm-srvtab to talk to Kerberos master afskrb5m

* Fri Mar 06 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1-20090127-2.slc5
- small fix to guess_domain.sh script (use busybox if in install environment)

* Tue Jan 27 2009 Jan Iven <jan.iven@cern.ch> - 1-20090127-1.slc5
- disable getting Kerberos4 TGTs in PAM configuration

* Thu Aug 21 2008 Jan Iven <jan.iven@cern.ch> -  1-20080821-5.slc5
- first version for SLC5:
- add ncm-ssh (ssh/sshd config for GSSAPI)
- no longer generate XML via panc, manually edit instead.
- remove ncm-krb4clt
- remove (empty) ncm-security
- add dependency on "lcm"
- postinstall: do not assume we have lcm already installed.
- no longer configure screensaver PAM for afsclt

* Thu Apr 3 2008 Jan Iven <jan.iven@cern.ch> - 0-20080425
- add ncm-chkconfig with nscd and ntpd configured on
- pull in ncm-ntpd (prereq for srvtab), ncm-chkconfig
- add dummy config file for use outside of CERN, do not run lcm
- obsolete zephyr-devel, -server, -X11. may trigger (harmless) errors due to broken post-scripts

* Wed Oct 17 2007 Jan Iven <jan.iven@cern.ch> - 0-20071017
- pine:
  disable GSSAPI, req. for Exchange2007 at CERN (needs ncm-pine >= 1.2.5),
  remove NNTP server config
- set minimum_uid=100 for pam_krb5 to keep system account scans out of KDC logs
- disable zephyr config, no longer used at CERN

* Tue Oct 31 2006 Jan Iven <jan.iven>
- fix PATH to panc

* Tue Oct 24 2006 Jan Iven <jan.iven@cern.ch>
- configure Kerberos ticket lifetime via PAM, only affects SLC3

* Mon Jul 03 2006 Jan Iven  <jan.iven@cern.ch>
- (kerberos) PAM config via ncm-afsclt
- add config for ntpd
- use Make to avoid rebuilds

* Tue May 23 2006 Jan Iven <jan.iven@cern.ch>
- unified .spec for SLC3 and SLC4, new template path

* Tue Feb 14 2006 Jan Iven <jan.iven@cern.ch>
- sendmail: unset local user list, use guessing algorithm
- sendmail: fix smarthost mail.cern -> cern.ch (typo)
- pine: authenticated SMTP by default  (request from J.Chorier)
- pine: ldap name attr to displayName (request from J.Chorier)
- afsclt: change to use http for CellServDB, needs ncm-afsclt>=1.3
- background lcm in %post

* Fri Jan 20 2006 Jan Iven <jan.iven@cern.ch>
- sendmail-smarthost: smtp.cern.ch -> cern.ch, C.Boissat
- krb4: add realm for cern.ch (required for MIT)
- krb5: new config structure, new KDCs/Admin/Password
 
* Sat Oct 15 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added security.

* Fri Oct 01 2004  Jan Iven <jan.iven@cern.ch>
- added sendmail. Change to "buildrequire" the actual template files from the
  components. Dropped ldapclt. Made the XML result config(noreplace).

* Wed Jun 30 2004  Jan Iven <jan.iven@cern.ch>
- added krb5clt, changed pine setting as per Julian's spec.

* Fri Mar 12 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed pine settings

* Sat Mar 6 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial build (weekend was rainy ;-))

